// v2 18 march 2024

#include <ESP8266WiFi.h>
#include <WiFiClient.h> 


String inString;
String outString;
String inMsg;
String outMsg;

/* Set these to your desired credentials. */
const char *ssid = "DCC_E012";
const char *password = "123456789";

WiFiServer server(80);


void setup() {
  Serial.begin(9600);
  Serial.setTimeout(5);
  Serial.println();
  Serial.println("Configuring access point...");
  outMsg = "";
  WiFi.softAP(ssid, password);
  IPAddress myIP = WiFi.softAPIP();
  //Serial.print("AP IP address: ");
  //Serial.println(myIP);
  server.begin();
  //Serial.println("Connected to the WiFi network");
  delay(5000);
  //Serial.println("Server started");

}

void loop() {
 get_inMsg();

WiFiClient client = server.available();
  if (!client) {
    return;
  }

// Wait until the client sends some data
  //Serial.println("new client");
  while(!client.available()){
    delay(1);
  }
 
    //Serial.println("New Client.");           // print a message out the serial port
    inString = client.readStringUntil('\n');
    client.flush();
  //}
  if (inString.length() >= 3){
          // if the current line is blank, you got two newline characters in a row.
          // that's the end of the client HTTP request, so send a response:
            // HTTP headers always start with a response code (e.g. HTTP/1.1 200 OK)
            // and a content-type so the client knows what's coming, then a blank line:
            client.println("HTTP/1.1 200 OK");
            client.println("Content-type:text/html");
            client.println();
            // the content of the HTTP response follows the header:     
            client.print(outMsg);  // sends current values (mA) and over current events
            // The HTTP response ends with another blank line:
            client.println();
    // close the connection:
    //client.stop();
    //Serial.println("Client Disconnected.");
    //Serial.println("");
    //Serial.println(inString);
    string();
          }
    inString = ""; 
  }


void string(){
     int x = inString.indexOf(" HTTP/1.1");
   int s = inString.indexOf("=") + 1;
   outString = inString.substring(s,x);
    Serial.println("");
    //Serial.println(outString);
  if(Serial.available() == true && outString.length() >= 1);{
       Serial.println(outString);
       //Serial.print("outString = ");Serial.println(outString);
       }
}

void get_inMsg(){
    //Serial.println(C);
    if(Serial.available());{
      inMsg = Serial.readStringUntil('\n');
          String inChar;
          String temp ="";
          int count = 0; 
                    unsigned long z = inMsg.length();
                     if (z >= 3){
                      for (int i = 0; i<=z; i++){
    inChar = inMsg.substring(i,i+1);
             temp += inChar;
       }
                    outMsg = temp;
                    //Serial.print("outMsg = ");
                    Serial.println(outMsg);
                }
    } 
}
